import collections
import random

POKEMON = [
    "bulbasaur",
    "ivysaur",
    "venusaur",
    "charmander",
    "charmeleon",
    "charizard",
    "squirtle",
    "wartortle",
    "blastoise",
    "caterpie",
    "metapod",
    "butterfree",
    "weedle",
    "kakuna",
    "beedrill",
    "pidgey",
    "pidgeotto",
    "pidgeot",
    "rattata",
    "raticate",
    "spearow",
    "fearow",
    "ekans",
    "arbok",
    "pikachu",
    "raichu",
    "sandshrew",
    "sandslash",
    "nidoran",
    "nidorina",
    "nidoqueen",
    "nidoran",
    "nidorino",
    "nidoking",
    "clefairy",
    "clefable",
    "vulpix",
    "ninetales",
    "jigglypuff",
    "wigglytuff",
    "zubat",
    "golbat",
    "oddish",
    "gloom",
    "vileplume",
    "paras",
    "parasect",
    "venonat",
    "venomoth",
    "diglett",
    "dugtrio",
    "meowth",
    "persian",
    "psyduck",
    "golduck",
    "mankey",
    "primeape",
    "growlithe",
    "arcanine",
    "poliwag",
    "poliwhirl",
    "poliwrath",
    "abra",
    "kadabra",
    "alakazam",
    "machop",
    "machoke",
    "machamp",
    "bellsprout",
    "weepinbell",
    "victreebel",
    "tentacool",
    "tentacruel",
    "geodude",
    "graveler",
    "golem",
    "ponyta",
    "rapidash",
    "slowpoke",
    "slowbro",
    "magnemite",
    "magneton",
    "farfetchd",
    "doduo",
    "dodrio",
    "seel",
    "dewgong",
    "grimer",
    "muk",
    "shellder",
    "cloyster",
    "gastly",
    "haunter",
    "gengar",
    "onix",
    "drowzee",
    "hypno",
    "krabby",
    "kingler",
    "voltorb",
    "electrode",
    "exeggcute",
    "exeggutor",
    "cubone",
    "marowak",
    "hitmonlee",
    "hitmonchan",
    "lickitung",
    "koffing",
    "weezing",
    "rhyhorn",
    "rhydon",
    "chansey",
    "tangela",
    "kangaskhan",
    "horsea",
    "seadra",
    "goldeen",
    "seaking",
    "staryu",
    "starmie",
    "mrmime",
    "scyther",
    "jynx",
    "electabuzz",
    "magmar",
    "pinsir",
    "tauros",
    "magikarp",
    "gyarados",
    "lapras",
    "ditto",
    "eevee",
    "vaporeon",
    "jolteon",
    "flareon",
    "porygon",
    "omanyte",
    "omastar",
    "kabuto",
    "kabutops",
    "aerodactyl",
    "snorlax",
    "articuno",
    "zapdos",
    "moltres",
    "dratini",
    "dragonair",
    "dragonite",
    "mewtwo",
    "mew",
    "chikorita",
    "bayleef",
    "meganium",
    "cyndaquil",
    "quilava",
    "typhlosion",
    "totodile",
    "croconaw",
    "feraligatr",
    "sentret",
    "furret",
    "hoothoot",
    "noctowl",
    "ledyba",
    "ledian",
    "spinarak",
    "ariados",
    "crobat",
    "chinchou",
    "lanturn",
    "pichu",
    "cleffa",
    "igglybuff",
    "togepi",
    "togetic",
    "natu",
    "xatu",
    "mareep",
    "flaaffy",
    "ampharos",
    "bellossom",
    "marill",
    "azumarill",
    "sudowoodo",
    "politoed",
    "hoppip",
    "skiploom",
    "jumpluff",
    "aipom",
    "sunkern",
    "sunflora",
    "yanma",
    "wooper",
    "quagsire",
    "espeon",
    "umbreon",
    "murkrow",
    "slowking",
    "misdreavus",
    "unown",
    "wobbuffet",
    "girafarig",
    "pineco",
    "forretress",
    "dunsparce",
    "gligar",
    "steelix",
    "snubbull",
    "granbull",
    "qwilfish",
    "scizor",
    "shuckle",
    "heracross",
    "sneasel",
    "teddiursa",
    "ursaring",
    "slugma",
    "magcargo",
    "swinub",
    "piloswine",
    "corsola",
    "remoraid",
    "octillery",
    "delibird",
    "mantine",
    "skarmory",
    "houndour",
    "houndoom",
    "kingdra",
    "phanpy",
    "donphan",
    "porygon",
    "stantler",
    "smeargle",
    "tyrogue",
    "hitmontop",
    "smoochum",
    "elekid",
    "magby",
    "miltank",
    "blissey",
    "raikou",
    "entei",
    "suicune",
    "larvitar",
    "pupitar",
    "tyranitar",
    "lugia",
    "hooh",
    "celebi",
    "treecko",
    "grovyle",
    "sceptile",
    "torchic",
    "combusken",
    "blaziken",
    "mudkip",
    "marshtomp",
    "swampert",
    "poochyena",
    "mightyena",
    "zigzagoon",
    "linoone",
    "wurmple",
    "silcoon",
    "beautifly",
    "cascoon",
    "dustox",
    "lotad",
    "lombre",
    "ludicolo",
    "seedot",
    "nuzleaf",
    "shiftry",
    "taillow",
    "swellow",
    "wingull",
    "pelipper",
    "ralts",
    "kirlia",
    "gardevoir",
    "surskit",
    "masquerain",
    "shroomish",
    "breloom",
    "slakoth",
    "vigoroth",
    "slaking",
    "nincada",
    "ninjask",
    "shedinja",
    "whismur",
    "loudred",
    "exploud",
    "makuhita",
    "hariyama",
    "azurill",
    "nosepass",
    "skitty",
    "delcatty",
    "sableye",
    "mawile",
    "aron",
    "lairon",
    "aggron",
    "meditite",
    "medicham",
    "electrike",
    "manectric",
    "plusle",
    "minun",
    "volbeat",
    "illumise",
    "roselia",
    "gulpin",
    "swalot",
    "carvanha",
    "sharpedo",
    "wailmer",
    "wailord",
    "numel",
    "camerupt",
    "torkoal",
    "spoink",
    "grumpig",
    "spinda",
    "trapinch",
    "vibrava",
    "flygon",
    "cacnea",
    "cacturne",
    "swablu",
    "altaria",
    "zangoose",
    "seviper",
    "lunatone",
    "solrock",
    "barboach",
    "whiscash",
    "corphish",
    "crawdaunt",
    "baltoy",
    "claydol",
    "lileep",
    "cradily",
    "anorith",
    "armaldo",
    "feebas",
    "milotic",
    "castform",
    "kecleon",
    "shuppet",
    "banette",
    "duskull",
    "dusclops",
    "tropius",
    "chimecho",
    "absol",
    "wynaut",
    "snorunt",
    "glalie",
    "spheal",
    "sealeo",
    "walrein",
    "clamperl",
    "huntail",
    "gorebyss",
    "relicanth",
    "luvdisc",
    "bagon",
    "shelgon",
    "salamence",
    "beldum",
    "metang",
    "metagross",
    "regirock",
    "regice",
    "registeel",
    "latias",
    "latios",
    "kyogre",
    "groudon",
    "rayquaza",
    "jirachi",
    "deoxys",
    "turtwig",
    "grotle",
    "torterra",
    "chimchar",
    "monferno",
    "infernape",
    "piplup",
    "prinplup",
    "empoleon",
    "starly",
    "staravia",
    "staraptor",
    "bidoof",
    "bibarel",
    "kricketot",
    "kricketune",
    "shinx",
    "luxio",
    "luxray",
    "budew",
    "roserade",
    "cranidos",
    "rampardos",
    "shieldon",
    "bastiodon",
    "burmy",
    "wormadam",
    "mothim",
    "combee",
    "vespiquen",
    "pachirisu",
    "buizel",
    "floatzel",
    "cherubi",
    "cherrim",
    "shellos",
    "gastrodon",
    "ambipom",
    "drifloon",
    "drifblim",
    "buneary",
    "lopunny",
    "mismagius",
    "honchkrow",
    "glameow",
    "purugly",
    "chingling",
    "stunky",
    "skuntank",
    "bronzor",
    "bronzong",
    "bonsly",
    "mimejr",
    "happiny",
    "chatot",
    "spiritomb",
    "gible",
    "gabite",
    "garchomp",
    "munchlax",
    "riolu",
    "lucario",
    "hippopotas",
    "hippowdon",
    "skorupi",
    "drapion",
    "croagunk",
    "toxicroak",
    "carnivine",
    "finneon",
    "lumineon",
    "mantyke",
    "snover",
    "abomasnow",
    "weavile",
    "magnezone",
    "lickilicky",
    "rhyperior",
    "tangrowth",
    "electivire",
    "magmortar",
    "togekiss",
    "yanmega",
    "leafeon",
    "glaceon",
    "gliscor",
    "mamoswine",
    "porygonz",
    "gallade",
    "probopass",
    "dusknoir",
    "froslass",
    "rotom",
    "uxie",
    "mesprit",
    "azelf",
    "dialga",
    "palkia",
    "heatran",
    "regigigas",
    "giratina",
    "cresselia",
    "phione",
    "manaphy",
    "darkrai",
    "shaymin",
    "arceus",
    "victini",
    "snivy",
    "servine",
    "serperior",
    "tepig",
    "pignite",
    "emboar",
    "oshawott",
    "dewott",
    "samurott",
    "patrat",
    "watchog",
    "lillipup",
    "herdier",
    "stoutland",
    "purrloin",
    "liepard",
    "pansage",
    "simisage",
    "pansear",
    "simisear",
    "panpour",
    "simipour",
    "munna",
    "musharna",
    "pidove",
    "tranquill",
    "unfezant",
    "blitzle",
    "zebstrika",
    "roggenrola",
    "boldore",
    "gigalith",
    "woobat",
    "swoobat",
    "drilbur",
    "excadrill",
    "audino",
    "timburr",
    "gurdurr",
    "conkeldurr",
    "tympole",
    "palpitoad",
    "seismitoad",
    "throh",
    "sawk",
    "sewaddle",
    "swadloon",
    "leavanny",
    "venipede",
    "whirlipede",
    "scolipede",
    "cottonee",
    "whimsicott",
    "petilil",
    "lilligant",
    "basculin",
    "sandile",
    "krokorok",
    "krookodile",
    "darumaka",
    "darmanitan",
    "maractus",
    "dwebble",
    "crustle",
    "scraggy",
    "scrafty",
    "sigilyph",
    "yamask",
    "cofagrigus",
    "tirtouga",
    "carracosta",
    "archen",
    "archeops",
    "trubbish",
    "garbodor",
    "zorua",
    "zoroark",
    "minccino",
    "cinccino",
    "gothita",
    "gothorita",
    "gothitelle",
    "solosis",
    "duosion",
    "reuniclus",
    "ducklett",
    "swanna",
    "vanillite",
    "vanillish",
    "vanilluxe",
    "deerling",
    "sawsbuck",
    "emolga",
    "karrablast",
    "escavalier",
    "foongus",
    "amoonguss",
    "frillish",
    "jellicent",
    "alomomola",
    "joltik",
    "galvantula",
    "ferroseed",
    "ferrothorn",
    "klink",
    "klang",
    "klinklang",
    "tynamo",
    "eelektrik",
    "eelektross",
    "elgyem",
    "beheeyem",
    "litwick",
    "lampent",
    "chandelure",
    "axew",
    "fraxure",
    "haxorus",
    "cubchoo",
    "beartic",
    "cryogonal",
    "shelmet",
    "accelgor",
    "stunfisk",
    "mienfoo",
    "mienshao",
    "druddigon",
    "golett",
    "golurk",
    "pawniard",
    "bisharp",
    "bouffalant",
    "rufflet",
    "braviary",
    "vullaby",
    "mandibuzz",
    "heatmor",
    "durant",
    "deino",
    "zweilous",
    "hydreigon",
    "larvesta",
    "volcarona",
    "cobalion",
    "terrakion",
    "virizion",
    "tornadus",
    "thundurus",
    "reshiram",
    "zekrom",
    "landorus",
    "kyurem",
    "keldeo",
    "meloetta",
    "genesect",
    "chespin",
    "quilladin",
    "chesnaught",
    "fennekin",
    "braixen",
    "delphox",
    "froakie",
    "frogadier",
    "greninja",
    "bunnelby",
    "diggersby",
    "fletchling",
    "fletchinder",
    "talonflame",
    "scatterbug",
    "spewpa",
    "vivillon",
    "litleo",
    "pyroar",
    "flabebe",
    "floette",
    "florges",
    "skiddo",
    "gogoat",
    "pancham",
    "pangoro",
    "furfrou",
    "espurr",
    "meowstic",
    "honedge",
    "doublade",
    "aegislash",
    "spritzee",
    "aromatisse",
    "swirlix",
    "slurpuff",
    "inkay",
    "malamar",
    "binacle",
    "barbaracle",
    "skrelp",
    "dragalge",
    "clauncher",
    "clawitzer",
    "helioptile",
    "heliolisk",
    "tyrunt",
    "tyrantrum",
    "amaura",
    "aurorus",
    "sylveon",
    "hawlucha",
    "dedenne",
    "carbink",
    "goomy",
    "sliggoo",
    "goodra",
    "klefki",
    "phantump",
    "trevenant",
    "pumpkaboo",
    "gourgeist",
    "bergmite",
    "avalugg",
    "noibat",
    "noivern",
    "xerneas",
    "yveltal",
    "zygarde",
    "diancie",
    "hoopa",
    "volcanion",
    "rowlet",
    "dartrix",
    "decidueye",
    "litten",
    "torracat",
    "incineroar",
    "popplio",
    "brionne",
    "primarina",
    "pikipek",
    "trumbeak",
    "toucannon",
    "yungoos",
    "gumshoos",
    "grubbin",
    "charjabug",
    "vikavolt",
    "crabrawler",
    "crabominable",
    "oricorio",
    "cutiefly",
    "ribombee",
    "rockruff",
    "lycanroc",
    "wishiwashi",
    "mareanie",
    "toxapex",
    "mudbray",
    "mudsdale",
    "dewpider",
    "araquanid",
    "fomantis",
    "lurantis",
    "morelull",
    "shiinotic",
    "salandit",
    "salazzle",
    "stufful",
    "bewear",
    "bounsweet",
    "steenee",
    "tsareena",
    "comfey",
    "oranguru",
    "passimian",
    "wimpod",
    "golisopod",
    "sandygast",
    "palossand",
    "pyukumuku",
    "typenull",
    "silvally",
    "minior",
    "komala",
    "turtonator",
    "togedemaru",
    "mimikyu",
    "bruxish",
    "drampa",
    "dhelmise",
    "jangmoo",
    "hakamoo",
    "kommoo",
    "tapukoko",
    "tapulele",
    "tapubulu",
    "tapufini",
    "cosmog",
    "cosmoem",
    "solgaleo",
    "lunala",
    "nihilego",
    "buzzwole",
    "pheromosa",
    "xurkitree",
    "celesteela",
    "kartana",
    "guzzlord",
    "necrozma",
    "magearna",
    "marshadow",
    "poipole",
    "naganadel",
    "stakataka",
    "blacephalon",
    "zeraora",
    "meltan",
    "melmetal",
]
ADJECTIVES = [
    "able",
    "about",
    "above",
    "abuzz",
    "ace",
    "achy",
    "acid",
    "acned",
    "acute",
    "adept",
    "adult",
    "afire",
    "afoot",
    "afoul",
    "aft",
    "after",
    "aged",
    "agile",
    "aging",
    "aglow",
    "ago",
    "ahead",
    "aided",
    "airy",
    "ajar",
    "akin",
    "alert",
    "alien",
    "alike",
    "alive",
    "all",
    "alone",
    "aloof",
    "alpha",
    "alto",
    "amber",
    "ample",
    "angry",
    "anti",
    "antic",
    "antsy",
    "any",
    "apart",
    "apish",
    "apt",
    "arced",
    "arch",
    "arid",
    "armed",
    "ashen",
    "ashy",
    "askew",
    "astir",
    "atrip",
    "attic",
    "avian",
    "avid",
    "awake",
    "aware",
    "awash",
    "away",
    "awed",
    "awful",
    "awing",
    "awned",
    "awry",
    "axial",
    "azure",
    "back",
    "bad",
    "baggy",
    "baked",
    "bald",
    "balmy",
    "bandy",
    "bare",
    "bared",
    "basal",
    "base",
    "based",
    "basic",
    "bated",
    "bats",
    "batty",
    "bay",
    "beady",
    "beamy",
    "beat",
    "beefy",
    "beery",
    "beige",
    "bent",
    "best",
    "beta",
    "bias",
    "birch",
    "bitty",
    "black",
    "blame",
    "bland",
    "blank",
    "bleak",
    "blear",
    "blind",
    "blond",
    "blown",
    "blue",
    "bluff",
    "blunt",
    "boggy",
    "bogus",
    "bold",
    "bone",
    "boned",
    "bonny",
    "bony",
    "boon",
    "boozy",
    "bored",
    "born",
    "boss",
    "bossy",
    "both",
    "bound",
    "bowed",
    "boxed",
    "boxy",
    "brag",
    "brash",
    "brave",
    "brief",
    "briny",
    "brisk",
    "broad",
    "broke",
    "brown",
    "brute",
    "buff",
    "buggy",
    "built",
    "bulgy",
    "bulky",
    "bully",
    "bum",
    "bumpy",
    "burly",
    "burnt",
    "bush",
    "bushy",
    "bust",
    "busty",
    "busy",
    "butch",
    "calm",
    "camp",
    "campy",
    "catty",
    "cheap",
    "chewy",
    "chic",
    "chief",
    "civic",
    "civil",
    "clean",
    "clear",
    "cleft",
    "close",
    "cocky",
    "cod",
    "cold",
    "color",
    "comfy",
    "comic",
    "cool",
    "coral",
    "corny",
    "cosy",
    "coy",
    "cozy",
    "crazy",
    "crisp",
    "cross",
    "cubic",
    "cured",
    "curly",
    "curt",
    "curvy",
    "cushy",
    "cut",
    "cute",
    "cyan",
    "daft",
    "daily",
    "damn",
    "damp",
    "dandy",
    "dank",
    "dark",
    "dated",
    "dazed",
    "dead",
    "deaf",
    "dear",
    "deep",
    "deft",
    "deist",
    "dense",
    "dewy",
    "dicey",
    "dim",
    "dingy",
    "dinky",
    "dire",
    "dirt",
    "dirty",
    "dizzy",
    "dodgy",
    "domed",
    "done",
    "doped",
    "dopey",
    "dopy",
    "dormy",
    "dosed",
    "down",
    "downy",
    "dozen",
    "drab",
    "drawn",
    "dread",
    "drear",
    "dress",
    "dried",
    "droll",
    "drunk",
    "dry",
    "dual",
    "dud",
    "due",
    "dull",
    "dumb",
    "dummy",
    "dusky",
    "dusty",
    "dyed",
    "dying",
    "each",
    "eager",
    "early",
    "eased",
    "east",
    "easy",
    "edged",
    "edgy",
    "eerie",
    "eight",
    "elder",
    "elect",
    "elfin",
    "elite",
    "empty",
    "ended",
    "epic",
    "equal",
    "even",
    "every",
    "evil",
    "exact",
    "extra",
    "eyed",
    "fab",
    "faced",
    "faded",
    "faint",
    "fair",
    "fake",
    "false",
    "famed",
    "fancy",
    "far",
    "fast",
    "fat",
    "fatal",
    "fated",
    "fazed",
    "feral",
    "few",
    "fewer",
    "fiery",
    "fifth",
    "fifty",
    "filmy",
    "final",
    "fine",
    "finer",
    "fired",
    "firm",
    "first",
    "fishy",
    "fit",
    "five",
    "fixed",
    "fizzy",
    "flaky",
    "flash",
    "flat",
    "fleet",
    "flint",
    "flip",
    "fluid",
    "flush",
    "fly",
    "foamy",
    "focal",
    "foggy",
    "fond",
    "fore",
    "foul",
    "found",
    "four",
    "foxy",
    "frail",
    "frank",
    "free",
    "fresh",
    "fried",
    "front",
    "full",
    "fumed",
    "funky",
    "funny",
    "furry",
    "fused",
    "fussy",
    "fuzzy",
    "game",
    "gaudy",
    "gaunt",
    "gawky",
    "giant",
    "giddy",
    "gimpy",
    "glad",
    "glum",
    "godly",
    "going",
    "gold",
    "gone",
    "good",
    "gooey",
    "goofy",
    "gory",
    "grand",
    "great",
    "green",
    "grey",
    "grim",
    "grimy",
    "gross",
    "grown",
    "gruff",
    "gummy",
    "gushy",
    "gusty",
    "gutsy",
    "hairy",
    "hale",
    "half",
    "halt",
    "hammy",
    "handy",
    "happy",
    "hard",
    "hardy",
    "harsh",
    "hasty",
    "hated",
    "hazel",
    "hazy",
    "heard",
    "heavy",
    "hefty",
    "held",
    "here",
    "hex",
    "hexed",
    "high",
    "hilly",
    "hind",
    "hip",
    "hired",
    "hoar",
    "hoary",
    "hokey",
    "holey",
    "holy",
    "home",
    "homey",
    "honey",
    "horny",
    "hot",
    "huffy",
    "huge",
    "human",
    "humid",
    "hurt",
    "husky",
    "icky",
    "icy",
    "ideal",
    "idle",
    "iffy",
    "ill",
    "inane",
    "inept",
    "inert",
    "inky",
    "inner",
    "ionic",
    "irate",
    "iron",
    "jade",
    "jaded",
    "jaggy",
    "jawed",
    "jazzy",
    "jet",
    "joint",
    "jolly",
    "jowly",
    "juicy",
    "jumbo",
    "jumpy",
    "just",
    "kempt",
    "key",
    "keyed",
    "khaki",
    "kin",
    "kind",
    "kinky",
    "known",
    "kooky",
    "laced",
    "lacy",
    "laid",
    "lame",
    "lank",
    "lanky",
    "large",
    "last",
    "late",
    "later",
    "lax",
    "lay",
    "lazy",
    "leafy",
    "leaky",
    "lean",
    "least",
    "left",
    "legal",
    "less",
    "level",
    "light",
    "like",
    "liked",
    "limp",
    "lined",
    "lit",
    "live",
    "liver",
    "livid",
    "loamy",
    "local",
    "loco",
    "lofty",
    "lone",
    "long",
    "loony",
    "loopy",
    "loose",
    "lossy",
    "lost",
    "loud",
    "lousy",
    "loved",
    "low",
    "lowly",
    "loyal",
    "lucid",
    "lucky",
    "lumpy",
    "lunar",
    "lurid",
    "lush",
    "lusty",
    "lyric",
    "macho",
    "macro",
    "mad",
    "made",
    "magic",
    "main",
    "major",
    "male",
    "mangy",
    "manic",
    "manly",
    "many",
    "mass",
    "matt",
    "matte",
    "mauve",
    "mealy",
    "mean",
    "meaty",
    "meek",
    "meet",
    "mere",
    "merry",
    "messy",
    "metal",
    "micro",
    "mild",
    "milky",
    "mimic",
    "mined",
    "mini",
    "minor",
    "mint",
    "minty",
    "minus",
    "mired",
    "mirky",
    "misty",
    "mixed",
    "mock",
    "mod",
    "modal",
    "model",
    "moist",
    "molar",
    "moldy",
    "mono",
    "moody",
    "moony",
    "moot",
    "moral",
    "more",
    "mossy",
    "most",
    "mothy",
    "motor",
    "mousy",
    "moved",
    "mown",
    "much",
    "mucky",
    "muddy",
    "muggy",
    "mum",
    "mural",
    "murky",
    "mushy",
    "musky",
    "must",
    "musty",
    "mute",
    "muted",
    "naive",
    "nary",
    "nasal",
    "nasty",
    "natal",
    "natty",
    "naval",
    "near",
    "neat",
    "needy",
    "nervy",
    "new",
    "newsy",
    "next",
    "nice",
    "nifty",
    "nigh",
    "nine",
    "ninth",
    "noble",
    "noisy",
    "none",
    "north",
    "nosed",
    "noted",
    "novel",
    "nubby",
    "numb",
    "nuts",
    "nutty",
    "oaken",
    "oaten",
    "obese",
    "odd",
    "oiled",
    "oily",
    "okay",
    "old",
    "olden",
    "older",
    "olive",
    "one",
    "only",
    "oozy",
    "open",
    "optic",
    "oral",
    "other",
    "out",
    "outer",
    "oval",
    "over",
    "overt",
    "owing",
    "own",
    "owned",
    "pagan",
    "paid",
    "pale",
    "palmy",
    "pass",
    "past",
    "pasty",
    "pat",
    "paved",
    "peaky",
    "peaty",
    "pedal",
    "pent",
    "peppy",
    "perky",
    "pert",
    "pesky",
    "pet",
    "petty",
    "phony",
    "piano",
    "picky",
    "pied",
    "piggy",
    "pilar",
    "pink",
    "plain",
    "plane",
    "plumb",
    "plump",
    "plus",
    "plush",
    "polar",
    "poor",
    "pop",
    "port",
    "posed",
    "posh",
    "potty",
    "pricy",
    "prim",
    "prior",
    "privy",
    "prize",
    "prone",
    "proof",
    "prosy",
    "proud",
    "pubic",
    "pudgy",
    "puff",
    "puffy",
    "pulpy",
    "punk",
    "puny",
    "pupal",
    "pure",
    "pushy",
    "quack",
    "quasi",
    "quick",
    "quiet",
    "rabid",
    "radio",
    "rainy",
    "rapid",
    "rare",
    "rash",
    "raspy",
    "ratty",
    "raw",
    "ready",
    "real",
    "rear",
    "red",
    "regal",
    "retro",
    "rich",
    "rife",
    "right",
    "rigid",
    "riled",
    "ripe",
    "risen",
    "risky",
    "ritzy",
    "roast",
    "robed",
    "rocky",
    "roomy",
    "ropey",
    "rose",
    "rosy",
    "rough",
    "round",
    "rowdy",
    "royal",
    "ruby",
    "rude",
    "ruled",
    "rum",
    "rummy",
    "runic",
    "runny",
    "runty",
    "rural",
    "rush",
    "rushy",
    "rust",
    "rusty",
    "rutty",
    "sad",
    "safe",
    "sage",
    "said",
    "salt",
    "salty",
    "same",
    "sandy",
    "sane",
    "sappy",
    "sassy",
    "saute",
    "saved",
    "scaly",
    "scant",
    "scary",
    "scrub",
    "seamy",
    "sear",
    "seedy",
    "self",
    "sent",
    "seven",
    "sewed",
    "sewn",
    "shady",
    "shaky",
    "sham",
    "sharp",
    "shed",
    "sheer",
    "shiny",
    "short",
    "shot",
    "showy",
    "shut",
    "shy",
    "sick",
    "side",
    "sign",
    "silky",
    "silly",
    "silty",
    "sissy",
    "six",
    "sixth",
    "sixty",
    "size",
    "sized",
    "skew",
    "skim",
    "slack",
    "slain",
    "slaty",
    "slav",
    "sleek",
    "slick",
    "slim",
    "slimy",
    "slow",
    "sly",
    "small",
    "smart",
    "smoky",
    "smug",
    "snaky",
    "sneak",
    "snide",
    "snowy",
    "snub",
    "snuff",
    "snug",
    "soapy",
    "sober",
    "soft",
    "soggy",
    "solar",
    "sold",
    "sole",
    "solid",
    "solo",
    "some",
    "sooty",
    "sore",
    "sorry",
    "sound",
    "soupy",
    "sour",
    "south",
    "sown",
    "spare",
    "spent",
    "spicy",
    "spiky",
    "spiny",
    "splay",
    "split",
    "spry",
    "spumy",
    "squab",
    "squat",
    "stagy",
    "stale",
    "star",
    "stark",
    "steep",
    "stern",
    "stiff",
    "still",
    "stock",
    "stone",
    "stony",
    "stout",
    "straw",
    "stray",
    "stuck",
    "stung",
    "suave",
    "such",
    "sudsy",
    "sulky",
    "sunk",
    "sunny",
    "super",
    "sure",
    "surly",
    "sweet",
    "swell",
    "swept",
    "swift",
    "swish",
    "sworn",
    "tabby",
    "taboo",
    "tacky",
    "taken",
    "talky",
    "tall",
    "tame",
    "tamed",
    "tan",
    "tangy",
    "taped",
    "tardy",
    "tart",
    "tasty",
    "tawny",
    "teal",
    "ten",
    "tenor",
    "tense",
    "tenth",
    "tepid",
    "terse",
    "testy",
    "thick",
    "thin",
    "third",
    "three",
    "tidal",
    "tidy",
    "tied",
    "tight",
    "tiled",
    "timed",
    "timid",
    "tinny",
    "tiny",
    "tipsy",
    "tired",
    "toed",
    "token",
    "tonal",
    "toned",
    "tonic",
    "top",
    "tops",
    "torn",
    "total",
    "tough",
    "toxic",
    "tried",
    "trig",
    "trim",
    "trite",
    "true",
    "tubby",
    "tubed",
    "tumid",
    "twee",
    "twin",
    "two",
    "ugly",
    "ultra",
    "uncut",
    "under",
    "undue",
    "unfed",
    "unfit",
    "union",
    "unlit",
    "unwed",
    "upper",
    "upset",
    "urban",
    "used",
    "usual",
    "utter",
    "vague",
    "vain",
    "valid",
    "vapid",
    "vast",
    "viral",
    "vital",
    "vivid",
    "vocal",
    "void",
    "wacky",
    "warm",
    "wary",
    "washy",
    "waste",
    "wavy",
    "waxed",
    "waxen",
    "waxy",
    "weak",
    "weary",
    "weedy",
    "weeny",
    "weepy",
    "weird",
    "well",
    "welsh",
    "west",
    "wet",
    "whiny",
    "white",
    "whole",
    "wide",
    "wild",
    "wily",
    "wimpy",
    "windy",
    "wired",
    "wiry",
    "wise",
    "wispy",
    "witty",
    "wonky",
    "woody",
    "wooly",
    "woozy",
    "wordy",
    "wormy",
    "worn",
    "worse",
    "worst",
    "worth",
    "wound",
    "woven",
    "wrong",
    "wroth",
    "wry",
    "young",
    "yucky",
    "yummy",
    "zany",
    "zero",
    "zesty",
    "zippy",
    "zonal",
]


class NameGenerator:
    counts = collections.Counter()

    @classmethod
    def name(cls):

        pref = random.choice(ADJECTIVES)
        suf = random.choice(POKEMON)

        res = pref + "-" + suf
        cls.counts[res] += 1
        if cls.counts[res] > 1:
            res += "-" + str(cls.counts[res] - 1)
        return res
